apiVersion: cdi.kubevirt.io/v1beta1
kind: DataSource
metadata:
  annotations:
    operator-sdk/primary-resource: openshift-cnv/ssp-kubevirt-hyperconverged
    operator-sdk/primary-resource-type: SSP.ssp.kubevirt.io
  resourceVersion: '71537'
  name: centos-stream8
  uid: 1955e197-a74d-4475-b81b-bdc50ab7d006
  creationTimestamp: '2023-12-13T00:41:39Z'
  generation: 6
  managedFields:
    - apiVersion: cdi.kubevirt.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:operator-sdk/primary-resource': {}
            'f:operator-sdk/primary-resource-type': {}
          'f:labels':
            .: {}
            'f:app.kubernetes.io/name': {}
            'f:cdi.kubevirt.io/dataImportCron': {}
        'f:spec':
          .: {}
          'f:source':
            .: {}
            'f:pvc':
              .: {}
              'f:namespace': {}
        'f:status':
          .: {}
          'f:source': {}
      manager: manager
      operation: Update
      time: '2023-12-13T00:43:07Z'
    - apiVersion: cdi.kubevirt.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            'f:app.kubernetes.io/component': {}
            'f:app.kubernetes.io/managed-by': {}
            'f:app.kubernetes.io/part-of': {}
            'f:app.kubernetes.io/version': {}
            'f:instancetype.kubevirt.io/default-instancetype': {}
            'f:instancetype.kubevirt.io/default-preference': {}
        'f:spec':
          'f:source':
            'f:pvc':
              'f:name': {}
        'f:status':
          'f:conditions': {}
          'f:source':
            'f:pvc':
              .: {}
              'f:name': {}
              'f:namespace': {}
      manager: virt-cdi-controller
      operation: Update
      time: '2023-12-13T00:43:54Z'
  namespace: openshift-virtualization-os-images
  labels:
    app.kubernetes.io/component: storage
    app.kubernetes.io/managed-by: cdi-controller
    app.kubernetes.io/name: data-sources
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.15.0
    cdi.kubevirt.io/dataImportCron: centos-stream8-image-cron
    instancetype.kubevirt.io/default-instancetype: u1.medium
    instancetype.kubevirt.io/default-preference: centos.stream8
spec:
  source:
    pvc:
      name: centos-stream8-c323729af4d6
      namespace: openshift-virtualization-os-images
status:
  conditions:
    - lastHeartbeatTime: '2023-12-13T00:43:54Z'
      lastTransitionTime: '2023-12-13T00:43:54Z'
      message: DataSource is ready to be consumed
      reason: Ready
      status: 'True'
      type: Ready
  source:
    pvc:
      name: centos-stream8-c323729af4d6
      namespace: openshift-virtualization-os-images
